Blob Blame Raw
diff --git a/setup.py b/setup.py
index a270104..da84fba 100644
--- a/setup.py
+++ b/setup.py
@@ -50,14 +50,14 @@ install_requires = \
  'pexpect>=4.7.0,<5.0.0',
  'pkginfo>=1.4,<2.0',
  'pyparsing>=2.2,<3.0',
- 'pyrsistent>=0.14.2,<0.15.0',
- 'requests-toolbelt>=0.8.0,<0.9.0',
+ 'pyrsistent>=0.14.2',
+ 'requests-toolbelt>=0.8.0',
  'requests>=2.18,<3.0',
  'shellingham>=1.1,<2.0',
  'tomlkit>=0.5.11,<0.6.0']
 
 extras_require = \
-{':python_version < "3.8"': ['importlib-metadata>=1.1.3,<1.2.0'],
+{':python_version < "3.8"': ['importlib-metadata'],
  ':python_version >= "2.7" and python_version < "2.8"': ['virtualenv>=16.7.9,<17.0.0',
                                                          'functools32>=3.2.3,<4.0.0'],
  ':python_version >= "2.7" and python_version < "2.8" or python_version >= "3.4" and python_version < "3.5"': ['typing>=3.6,<4.0',
@@ -65,7 +65,7 @@ extras_require = \
                                                                                                                'subprocess32>=3.5,<4.0',
                                                                                                                'glob2>=0.6,<0.7',
                                                                                                                'keyring>=18.0.1,<19.0.0'],
- ':python_version >= "3.5" and python_version < "4.0"': ['keyring>=20.0.1,<21.0.0']}
+ ':python_version >= "3.5" and python_version < "4.0"': ['keyring']}
 
 entry_points = \
 {'console_scripts': ['poetry = poetry.console:main']}